/*

# Contract storage scheme

 |   Key                                | Value      |           Description             |
 |--------------------------------------|------------|-----------------------------------|
 | 0x0                                  | int        | total supply of minted domains    |
 | 0x1 + accountAddr                    | int        | account's balance                 |
 | 0x2 + accountAddr + tokenKey         | ByteArray  | token ID                          |
 | 0x10                                 | int        | price for domain registration     |
 | 0x20                                 | int        | set of roots                      |
 | 0x21 + tokenKey                      | ByteArray  | serialized NameState struct       |
 | 0x22 + tokenKey + Hash160(tokenName) | Hash160    | container contract hash           |

*/

package nns
